VkAcquireNextImageInfoKHX Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkSwapchainKHR | swapchain
uint64_t | timeout
VkSemaphore | semaphore
VkFence | fence
uint32_t | deviceMask

## Detailed Description

Definition at line 5472 of file vulkan.h.

## Field Documentation

## deviceMask

uint32_t VkAcquireNextImageInfoKHX::deviceMask

Definition at line 5479 of file vulkan.h.

## fence

VkFence VkAcquireNextImageInfoKHX::fence

Definition at line 5478 of file vulkan.h.

## pNext

const void* VkAcquireNextImageInfoKHX::pNext

Definition at line 5474 of file vulkan.h.

## semaphore

VkSemaphore VkAcquireNextImageInfoKHX::semaphore

Definition at line 5477 of file vulkan.h.

## sType

VkStructureType VkAcquireNextImageInfoKHX::sType

Definition at line 5473 of file vulkan.h.

## swapchain

VkSwapchainKHR VkAcquireNextImageInfoKHX::swapchain

Definition at line 5475 of file vulkan.h.

## timeout

uint64_t VkAcquireNextImageInfoKHX::timeout

Definition at line 5476 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h